Index: trunk/source/Lib/TLibEncoder/TEncSbac.cpp
===================================================================
--- trunk/source/Lib/TLibEncoder/TEncSbac.cpp	(revision 964)
+++ trunk/source/Lib/TLibEncoder/TEncSbac.cpp	(revision 976)
@@ -93,7 +93,4 @@
 , m_cDdcDataSCModel           ( 1,             1,               NUM_DDC_DATA_CTX              , m_contextModels + m_numContextModels, m_numContextModels)
 , m_cAngleFlagSCModel         ( 1,             1,               NUM_ANGLE_FLAG_CTX            , m_contextModels + m_numContextModels, m_numContextModels)
-#if H_3D_DIM_DMM && !MTK_DMM_SIMP_CODE_H0092
-, m_cDmm1DataSCModel          ( 1,             1,               NUM_DMM1_DATA_CTX             , m_contextModels + m_numContextModels, m_numContextModels)
-#endif
 #if H_3D_DIM_SDC
 , m_cSDCResidualFlagSCModel   ( 1,             1,               SDC_NUM_RESIDUAL_FLAG_CTX     , m_contextModels + m_numContextModels, m_numContextModels)
@@ -169,7 +166,4 @@
   m_cDdcDataSCModel.initBuffer           ( eSliceType, iQp, (UChar*)INIT_DDC_DATA );
   m_cAngleFlagSCModel.initBuffer         ( eSliceType, iQp, (UChar*)INIT_ANGLE_FLAG );
-#if H_3D_DIM_DMM && !MTK_DMM_SIMP_CODE_H0092
-  m_cDmm1DataSCModel.initBuffer          ( eSliceType, iQp, (UChar*)INIT_DMM1_DATA );
-#endif
 #if H_3D_DIM_SDC
   m_cSDCResidualFlagSCModel.initBuffer   ( eSliceType, iQp, (UChar*)INIT_SDC_RESIDUAL_FLAG );
@@ -255,7 +249,4 @@
       curCost += m_cDdcDataSCModel.calcCost           ( curSliceType, qp, (UChar*)INIT_DDC_DATA );
       curCost += m_cAngleFlagSCModel.calcCost         ( curSliceType, qp, (UChar*)INIT_ANGLE_FLAG );  
-#if H_3D_DIM_DMM && !MTK_DMM_SIMP_CODE_H0092
-      curCost += m_cDmm1DataSCModel.calcCost          ( curSliceType, qp, (UChar*)INIT_DMM1_DATA );
-#endif
     }
 #endif
@@ -319,7 +310,4 @@
   m_cDdcDataSCModel.initBuffer           ( eSliceType, iQp, (UChar*)INIT_DDC_DATA );
   m_cAngleFlagSCModel.initBuffer         ( eSliceType, iQp, (UChar*)INIT_ANGLE_FLAG );
-#if H_3D_DIM_DMM && !MTK_DMM_SIMP_CODE_H0092
-  m_cDmm1DataSCModel.initBuffer          ( eSliceType, iQp, (UChar*)INIT_DMM1_DATA );
-#endif
 #if H_3D_DIM_SDC
   m_cSDCResidualFlagSCModel.initBuffer   ( eSliceType, iQp, (UChar*)INIT_SDC_RESIDUAL_FLAG );
@@ -482,13 +470,7 @@
     m_pcBinIf->encodeBin( 1, rcSCModel );
     UInt uiCount = 0;
-#if QC_SIMP_DELTADC_CODING_H0131
     Bool bNoExGo = ( uiSymbol < 3 );
 
     while( --uiSymbol && ++uiCount < 3 )
-#else
-    Bool bNoExGo = (uiSymbol < 13);
-
-    while( --uiSymbol && ++uiCount < 13 )
-#endif
     {
       m_pcBinIf->encodeBin( 1, rcSCModel );
@@ -526,9 +508,5 @@
   for ( Int i = 0; i < iNumBit; i++ )
   {
-#if MTK_DMM_SIMP_CODE_H0092
-      m_pcBinIf->encodeBinEP( ( uiTabIdx >> i ) & 1 );
-#else
-    m_pcBinIf->encodeBin( ( uiTabIdx >> i ) & 1, m_cDmm1DataSCModel.get(0, 0, 0) );
-#endif
+    m_pcBinIf->encodeBinEP( ( uiTabIdx >> i ) & 1 );
   }
 }
@@ -1243,9 +1221,5 @@
   if( ( pcCU->getSlice()->getSPS()->getMaxCUWidth() >> pcCU->getDepth( absPartIdx ) ) < 64 ) //DMM and HEVC intra modes are both allowed
   {
-#if LGE_SIMP_DIM_NOT_PRESENT_FLAG_CODING_H0119_H0135
     m_pcBinIf->encodeBin( isDimMode( dir ) ? 0 : 1, m_cAngleFlagSCModel.get( 0, 0, 0 ) );
-#else
-    m_pcBinIf->encodeBin( isDimMode( dir ) ? 0 : 1, m_cAngleFlagSCModel.get( 0, 0, pcCU->getCtxAngleFlag( absPartIdx ) ) );
-#endif
   }
   if( isDimMode( dir ) )
@@ -2327,9 +2301,5 @@
       dimDeltaDC = isDimDeltaDC( dir );
     }
-#if MTK_DELTA_DC_FLAG_ONE_CONTEXT_H0084_H0100_H0113
     m_pcBinIf->encodeBin( dimDeltaDC, m_cDdcFlagSCModel.get( 0, 0, 0 ) );
-#else
-    m_pcBinIf->encodeBin( dimDeltaDC, m_cDdcFlagSCModel.get( 0, 0, uiNumSegments-1 ) );
-#endif
   }
   else //all-zero inter SDC is not allowed
@@ -2373,8 +2343,4 @@
 Void TEncSbac::codeDBBPFlag( TComDataCU* pcCU, UInt uiAbsPartIdx )
 {
-#if !MTK_DBBP_SIGNALING_H0094
-  PartSize ePartSize = pcCU->getPartitionSize( uiAbsPartIdx );
-  AOF( ePartSize == RWTH_DBBP_PACK_MODE );
-#endif
   AOF( pcCU->getSlice()->getVPS()->getUseDBBP(pcCU->getSlice()->getLayerIdInVps()) );
   AOF( !pcCU->getSlice()->getIsDepth() );
Index: trunk/source/Lib/TLibEncoder/TEncSbac.h
===================================================================
--- trunk/source/Lib/TLibEncoder/TEncSbac.h	(revision 964)
+++ trunk/source/Lib/TLibEncoder/TEncSbac.h	(revision 976)
@@ -258,7 +258,4 @@
   ContextModel3DBuffer m_cDdcDataSCModel;
   ContextModel3DBuffer m_cAngleFlagSCModel;
-#if H_3D_DIM_DMM && !MTK_DMM_SIMP_CODE_H0092
-  ContextModel3DBuffer m_cDmm1DataSCModel;
-#endif
 #if H_3D_DIM_SDC  
   ContextModel3DBuffer m_cSDCResidualFlagSCModel;
Index: trunk/source/Lib/TLibEncoder/TEncSearch.cpp
===================================================================
--- trunk/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 964)
+++ trunk/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 976)
@@ -1146,16 +1146,5 @@
         for( UInt uiX = 0; uiX < uiWidth; uiX++ )
         {
-#if H_3D_DIM && !SEC_NO_RESI_DLT_H0105
-          if( (isDimMode( uiLumaPredMode ) || uiLumaPredMode == HOR_IDX || uiLumaPredMode == VER_IDX || uiLumaPredMode == DC_IDX) && pcCU->getSlice()->getIsDepth() && pcCU->getSlice()->getPPS()->getDLT()->getUseDLTFlag(pcCU->getSlice()->getLayerIdInVps()) )
-          {
-            pResi[ uiX ] = pcCU->getSlice()->getPPS()->getDLT()->depthValue2idx( pcCU->getSlice()->getLayerIdInVps(), pOrg[ uiX ] ) - pcCU->getSlice()->getPPS()->getDLT()->depthValue2idx( pcCU->getSlice()->getLayerIdInVps(), pPred[ uiX ] );
-          }
-          else
-          {
-            pResi[ uiX ] = pOrg[ uiX ] - pPred[ uiX ];
-          }
-#else
           pResi[ uiX ] = pOrg[ uiX ] - pPred[ uiX ];
-#endif
         }
         pOrg  += uiStride;
@@ -1221,16 +1210,5 @@
       for( UInt uiX = 0; uiX < uiWidth; uiX++ )
       {
-#if H_3D_DIM && !SEC_NO_RESI_DLT_H0105
-        if( (isDimMode( uiLumaPredMode ) || uiLumaPredMode == HOR_IDX || uiLumaPredMode == VER_IDX || uiLumaPredMode == DC_IDX) && pcCU->getSlice()->getIsDepth() && pcCU->getSlice()->getPPS()->getDLT()->getUseDLTFlag(pcCU->getSlice()->getLayerIdInVps()) )
-        {
-          pReco    [ uiX ] = pcCU->getSlice()->getPPS()->getDLT()->idx2DepthValue( pcCU->getSlice()->getLayerIdInVps(), Clip3( 0, pcCU->getSlice()->getPPS()->getDLT()->getNumDepthValues( pcCU->getSlice()->getLayerIdInVps() ) - 1, pcCU->getSlice()->getPPS()->getDLT()->depthValue2idx( pcCU->getSlice()->getLayerIdInVps(), pPred[ uiX ] ) + pResi[ uiX ] ) );
-        }
-        else
-        {
-          pReco    [ uiX ] = ClipY( pPred[ uiX ] + pResi[ uiX ] );
-        }
-#else
         pReco    [ uiX ] = ClipY( pPred[ uiX ] + pResi[ uiX ] );
-#endif
         pRecQt   [ uiX ] = pReco[ uiX ];
         pRecIPred[ uiX ] = pReco[ uiX ];
@@ -1989,5 +1967,4 @@
   // get DC prediction for each segment
   Pel apDCPredValues[2];
-#if HS_DMM_SDC_PREDICTOR_UNIFY_H0108
   if ( getDimType( uiLumaPredMode ) == DMM1_IDX || getDimType( uiLumaPredMode ) == DMM4_IDX )
   {
@@ -1996,6 +1973,8 @@
   }
   else
-#endif
-  analyzeSegmentsSDC(piPred, uiStride, uiWidth, apDCPredValues, uiNumSegments, pbMask, uiMaskStride, uiLumaPredMode );
+  {
+    analyzeSegmentsSDC(piPred, uiStride, uiWidth, apDCPredValues, uiNumSegments, pbMask, uiMaskStride, uiLumaPredMode );
+  }
+
 
   // get original DC for each segment
@@ -3674,9 +3653,4 @@
       pcCU->setInterDirSubParts(pDBBPTmpData->auhInterDir[0], 0, 0, pcCU->getDepth(0)); // interprets depth relative to LCU level
       
-#if !RWTH_DBBP_NO_SPU_H0057
-      pcCU->setVSPFlagSubParts(pDBBPTmpData->ahVSPFlag[0], 0, 0, pcCU->getDepth(0));
-      pcCU->setDvInfoSubParts(pDBBPTmpData->acDvInfo[0], 0, 0, pcCU->getDepth(0));
-#endif
-      
       for ( UInt uiRefListIdx = 0; uiRefListIdx < 2; uiRefListIdx++ )
       {
@@ -3707,13 +3681,7 @@
       pcCU->xGetInterMergeCandidates( 0, 0, cMvFieldNeighbours,uhInterDirNeighbours
 #if H_3D_VSP
-#if !ETRIKHU_CLEANUP_H0083
-                                        , vspFlag
-#endif
                                         , inheritedVSPDisInfo
 #endif
 #if H_3D_SPIVMP
-#if !ETRIKHU_CLEANUP_H0083_MISSING
-        , pbSPIVMPFlag
-#endif
         , pcMvFieldSP, puhInterDirSP
 #endif
@@ -3721,5 +3689,4 @@
         );
 
-#if ETRIKHU_CLEANUP_H0083
       pcCU->buildMCL( cMvFieldNeighbours,uhInterDirNeighbours
 #if H_3D_VSP
@@ -3731,5 +3698,4 @@
                                         , numValidMergeCand
         );
-#endif
 #else
       pcCU->getInterMergeCandidates( 0, 0, cMvFieldNeighbours,uhInterDirNeighbours, numValidMergeCand );
@@ -3745,13 +3711,7 @@
     pcCU->xGetInterMergeCandidates( uiAbsPartIdx, iPUIdx, cMvFieldNeighbours, uhInterDirNeighbours
 #if H_3D_VSP
-#if !ETRIKHU_CLEANUP_H0083
-                                      , vspFlag
-#endif
                                       , inheritedVSPDisInfo
 #endif
 #if H_3D_SPIVMP
-#if !ETRIKHU_CLEANUP_H0083_MISSING
-      , pbSPIVMPFlag 
-#endif
       , pcMvFieldSP, puhInterDirSP
 #endif
@@ -3759,5 +3719,4 @@
       );
 
-#if ETRIKHU_CLEANUP_H0083
     pcCU->buildMCL( cMvFieldNeighbours, uhInterDirNeighbours
 #if H_3D_VSP
@@ -3769,5 +3728,4 @@
                                       , numValidMergeCand
       );
-#endif
 #else
     pcCU->getInterMergeCandidates( uiAbsPartIdx, iPUIdx, cMvFieldNeighbours, uhInterDirNeighbours, numValidMergeCand
Index: trunk/source/Lib/TLibEncoder/TEncSlice.cpp
===================================================================
--- trunk/source/Lib/TLibEncoder/TEncSlice.cpp	(revision 964)
+++ trunk/source/Lib/TLibEncoder/TEncSlice.cpp	(revision 976)
@@ -930,9 +930,5 @@
      )
   {
-#if MTK_LOW_LATENCY_IC_ENCODING_H0086
     pcSlice ->xSetApplyIC(pcEncTop->getUseICLowLatencyEnc());
-#else
-    pcSlice ->xSetApplyIC();
-#endif
     if ( pcSlice->getApplyIC() )
     {
Index: trunk/source/Lib/TLibEncoder/TEncTop.cpp
===================================================================
--- trunk/source/Lib/TLibEncoder/TEncTop.cpp	(revision 964)
+++ trunk/source/Lib/TLibEncoder/TEncTop.cpp	(revision 976)
@@ -698,15 +698,7 @@
   m_cSPS.setSpsScalingListRefLayerId      ( 0              ); 
   m_cSPS.setSpsExtensionPresentFlag              ( true ); 
-#if H_MV_HLS_8_SPS_NODOC_48
   m_cSPS.setSpsMultilayerExtensionFlag    ( true ); 
-#else
-  m_cSPS.setSpsExtensionTypeFlag          ( PS_EX_T_MV ,true ); 
-#endif
 #if H_3D
-#if H_MV_HLS_8_SPS_NODOC_48
   m_cSPS.setSps3dExtensionFlag            ( true ); 
-#else
-  m_cSPS.setSpsExtensionTypeFlag          ( PS_EX_T_3D ,true ); 
-#endif
 #endif
 #endif
@@ -777,5 +769,5 @@
     m_cSPS.setNumReorderPics(m_numReorderPics[i], i);
   }
-#if H_MV_HLS_8_HRD_Q0102_08
+#if H_MV
   for ( Int ols = 0; ols < m_cVPS->getNumOutputLayerSets(); ols++)
   {
@@ -788,8 +780,5 @@
   }
 
-#if H_MV_HLS_8_RPS_Q0100_36
   m_cVPS->inferDbpSizeLayerSetZero( &m_cSPS, true ); 
-#endif
-
 #endif
   m_cSPS.setPCMBitDepthLuma (g_uiPCMBitDepthLuma);
@@ -853,14 +842,7 @@
   m_cPPS.setPPSId( getLayerIdInVps() );
   m_cPPS.setSPSId( getLayerIdInVps() );
-#if H_MV_HLS_8_SPS_NODOC_48
   m_cPPS.setPpsMultilayerExtensionFlag    ( true ); 
 #if H_3D
   m_cPPS.setPps3dExtensionFlag            ( true ); 
-#endif
-#else
-  m_cPPS.setPpsExtensionTypeFlag          ( PPS_EX_T_MV ,true ); 
-#if H_3D
-  m_cPPS.setPpsExtensionTypeFlag          ( PPS_EX_T_3D ,true ); 
-#endif
 #endif
 #endif
